Package com.emc.d2fs.models.zipanddownloadstatusobject

# Class ZipAndDownloadStatusObject

java.lang.Object
com.emc.d2fs.models.zipanddownloadstatusobject.ZipAndDownloadStatusObject

All Implemented Interfaces:
  `Serializable`

public class ZipAndDownloadStatusObject extends Object implements Serializable

Java class for zipAndDownloadStatusObject complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="zipAndDownloadStatusObject">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="warnings" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="title" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="trackerId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="isComplete" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="status" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="dateCompleted" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="dateStarted" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="total" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="totalCompleted" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="totalSize" use="required" type="{http://www.w3.org/2001/XMLSchema}double" />
           <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipAndDownloadStatusObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDateCompleted()`
  Gets the value of the dateCompleted property.
  `String`
  `getDateStarted()`
  Gets the value of the dateStarted property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `int`
  `getTotal()`
  Gets the value of the total property.
  `int`
  `getTotalCompleted()`
  Gets the value of the totalCompleted property.
  `double`
  `getTotalSize()`
  Gets the value of the totalSize property.
  `String`
  `getTrackerId()`
  Gets the value of the trackerId property.
  `String`
  `getType()`
  Gets the value of the type property.
  `List<String>`
  `getWarnings()`
  Gets the value of the warnings property.
  `boolean`
  `isIsComplete()`
  Gets the value of the isComplete property.
  `void`
  `setDateCompleted(String value)`
  Sets the value of the dateCompleted property.
  `void`
  `setDateStarted(String value)`
  Sets the value of the dateStarted property.
  `void`
  `setIsComplete(boolean value)`
  Sets the value of the isComplete property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setTotal(int value)`
  Sets the value of the total property.
  `void`
  `setTotalCompleted(int value)`
  Sets the value of the totalCompleted property.
  `void`
  `setTotalSize(double value)`
  Sets the value of the totalSize property.
  `void`
  `setTrackerId(String value)`
  Sets the value of the trackerId property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipAndDownloadStatusObject

    public ZipAndDownloadStatusObject()

- ## Method Details

  - ### getWarnings

    public List<String> getWarnings()
    Gets the value of the warnings property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the warnings property.

    For example, to add a new item, do as follows:

            getWarnings().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTrackerId

    public String getTrackerId()
    Gets the value of the trackerId property.
    Returns:
      possible object is `String`

  - ### setTrackerId

    public void setTrackerId(String value)
    Sets the value of the trackerId property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsComplete

    public boolean isIsComplete()
    Gets the value of the isComplete property.

  - ### setIsComplete

    public void setIsComplete(boolean value)
    Sets the value of the isComplete property.

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDateCompleted

    public String getDateCompleted()
    Gets the value of the dateCompleted property.
    Returns:
      possible object is `String`

  - ### setDateCompleted

    public void setDateCompleted(String value)
    Sets the value of the dateCompleted property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDateStarted

    public String getDateStarted()
    Gets the value of the dateStarted property.
    Returns:
      possible object is `String`

  - ### setDateStarted

    public void setDateStarted(String value)
    Sets the value of the dateStarted property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTotal

    public int getTotal()
    Gets the value of the total property.

  - ### setTotal

    public void setTotal(int value)
    Sets the value of the total property.

  - ### getTotalCompleted

    public int getTotalCompleted()
    Gets the value of the totalCompleted property.

  - ### setTotalCompleted

    public void setTotalCompleted(int value)
    Sets the value of the totalCompleted property.

  - ### getTotalSize

    public double getTotalSize()
    Gets the value of the totalSize property.

  - ### setTotalSize

    public void setTotalSize(double value)
    Sets the value of the totalSize property.

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`